<%@ Language=VBScript %>
<% Option Explicit %>
<html><head><title>Cleaning Up</title></head>
<body>
<h3>HTML Tidy Object Test</h3>
<p>
Calls up HTML Tidy object, processes it on a file
bad.html and saves the result to good.html.
</p>
<ol>
<%
Dim objTidy
Response.Write "<li>Creating Tidy Object </li>" & vbCrLf
Set objTidy = CreateObject("TidyCOM.TidyObject")
Response.Write "<li>Setting Tidy Options </li>" & vbCrLf
objTidy.Options.Doctype = "strict"
objTidy.Options.DropFontTags = true
objTidy.Options.OutputXhtml = true
objTidy.Options.Indent = 2 'AutoIndent
objTidy.Options.TabSize = 8
Response.Write "<li>Cleaning up file bad.html to good.html</li>" & vbCrLf
objTidy.TidyToFile Server.MapPath("bad.html"), Server.MapPath("good.html")
Response.Write "<li>Cleaned up. See good.html.</li>" & vbCrLf
Set objTidy = Nothing
%>
</ol>
<p>
If no errors happened, compare good.html with bad.html.
</p>
</body>
</html>
